> ## Documentation Index
> Fetch the complete documentation index at: https://docs.claim.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Shipments



## OpenAPI

````yaml GET /v2/shipments
openapi: 3.0.1
info:
  title: Seven Senders API
  description: Shipment API for Seven Senders Network
  version: 2.31.0
servers:
  - url: /
security:
  - Bearer: []
paths:
  /v2/shipments:
    get:
      tags:
        - Shipment
      summary: Retrieves the collection of Shipment resources.
      operationId: getShipmentCollection
      parameters:
        - name: tracking_code
          in: query
          schema:
            type: string
        - name: reference_number
          in: query
          schema:
            type: string
        - name: pickup_point_selected
          in: query
          schema:
            type: boolean
        - name: recipient_address
          in: query
          schema:
            type: string
        - name: recipient_name
          in: query
          schema:
            type: string
        - name: return_parcel
          in: query
          schema:
            type: boolean
        - name: order_id
          in: query
          schema:
            type: string
        - name: carrier_service
          in: query
          schema:
            type: string
        - name: recipient_company_name
          in: query
          schema:
            type: string
        - name: recipient_email
          in: query
          schema:
            type: string
        - name: recipient_zip
          in: query
          schema:
            type: string
        - name: recipient_city
          in: query
          schema:
            type: string
        - name: recipient_phone
          in: query
          schema:
            type: string
        - name: weight
          in: query
          schema:
            type: string
        - name: planned_pickup_datetime[before]
          in: query
          description: 'Date filter, example: 2025-04-09T11:47:19+02:00'
          schema:
            type: string
        - name: planned_pickup_datetime[after]
          in: query
          description: 'Date filter, example: 2025-04-09T11:47:19+02:00'
          schema:
            type: string
        - name: page
          in: query
          description: The collection page number
          schema:
            type: integer
        - name: itemsPerPage
          in: query
          description: The number of items per page
          schema:
            type: integer
      responses:
        '200':
          description: Shipment collection response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Shipment-read'
            application/ld+json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Shipment-read'
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Shipment-read'
components:
  schemas:
    Shipment-read:
      required:
        - recipient_address
        - recipient_city
        - recipient_country
        - recipient_first_name
        - recipient_last_name
        - recipient_zip
      type: object
      properties:
        id:
          type: string
        tracking_code:
          type: string
        reference_number:
          type: string
        pickup_point_selected:
          type: boolean
        planned_pickup_datetime:
          type: string
          format: date-time
        comment:
          type: string
        warehouse_address:
          type: string
        warehouse:
          type: string
        shipment_tag:
          type: array
          example:
            tag1: value1
            tag2: value2
          items:
            type: string
        recipient_address:
          type: string
        recipient_name:
          type: string
        return_parcel:
          type: boolean
        trackable:
          type: boolean
        goods_value_currency:
          pattern: ^[a-zA-Z]{3}$
          type: string
          example: EUR
        recipient_address_details:
          type: string
          description: Only shown in DPD AT labels.
        reference_number_2:
          type: string
          example: reference number 2
        local_delivery:
          type: boolean
        cod_reference:
          type: string
        order_id:
          type: string
        carrier_tracking_url:
          type: string
        carrier:
          $ref: '#/components/schemas/InnerCarrier-read'
        carrier_service:
          type: string
          example: standard
          enum:
            - standard
            - express
            - other
        recipient_first_name:
          type: string
        recipient_last_name:
          type: string
        recipient_company_name:
          type: string
        recipient_email:
          type: string
        recipient_zip:
          type: string
        recipient_city:
          type: string
        recipient_country:
          type: string
        recipient_phone:
          type: string
        weight:
          type: number
      description: Class Shipment
    InnerCarrier-read:
      required:
        - country
        - name
      type: object
      properties:
        name:
          type: string
          example: prime-network
        country:
          type: string
      description: Class Carrier
  securitySchemes:
    Bearer:
      type: apiKey
      description: "We use JWT Tokens for the authorization. \r\nPlease add an \\'Authorization\\' header for a request. Generate a valid JWT token using user credentials. See Auth - Token section. \r\nThe value should contain the following:  \r\n \\'Bearer GENERATED_TOKEN\\'"
      name: Authorization
      in: header

````